Health Check
curl --request GET \
--url https://secureai.hiperai.ai/api/external/health \
--header 'Authorization: Bearer <token>'import requests
url = "https://secureai.hiperai.ai/api/external/health"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://secureai.hiperai.ai/api/external/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"status": "healthy",
"timestamp": "2024-01-15T10:30:00.000Z",
"version": "1.0.0"
}Primeros Pasos & Setup
Health Check
Check if the API is running and healthy. No authentication required.
GET
/
health
Health Check
curl --request GET \
--url https://secureai.hiperai.ai/api/external/health \
--header 'Authorization: Bearer <token>'import requests
url = "https://secureai.hiperai.ai/api/external/health"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://secureai.hiperai.ai/api/external/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"status": "healthy",
"timestamp": "2024-01-15T10:30:00.000Z",
"version": "1.0.0"
}Health Check
Check if the API is running and healthy. No authentication required.Endpoint
GET /health
Description
This endpoint allows you to verify that the SecureAI External API is running and healthy. No authentication is required for this endpoint.Request
curl -X GET "https://{customer.name}.hiperai.ai/api/external/health"
Response
Success Response (200)
{
"success": true,
"status": "healthy",
"timestamp": "2024-01-15T10:30:00.000Z",
"version": "1.0.0"
}
Response Fields
| Field | Type | Description | Example |
|---|---|---|---|
success | boolean | Always true for successful health check | true |
status | string | Health status of the API | "healthy" |
timestamp | string | Current server timestamp in ISO 8601 format | "2024-01-15T10:30:00.000Z" |
version | string | Current API version | "1.0.0" |
Example Usage
JavaScript/Node.js
const response = await fetch('https://{customer.name}.hiperai.ai/api/external/health');
const data = await response.json();
console.log('API Status:', data.status);
Python
import requests
response = requests.get('https://{customer.name}.hiperai.ai/api/external/health')
data = response.json()
print('API Status:', data['status'])
cURL
curl -X GET "https://{customer.name}.hiperai.ai/api/external/health"
Notes
- This endpoint does not require authentication
- Use this endpoint to monitor API availability
- The response includes the current API version for compatibility checking
Authorizations
API key authentication using Bearer token format.
Example: Authorization: Bearer sk-your-api-key-here

